<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avdt__cs__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avdt_cs_t</compoundname>
    <includes local="no">wiced_bt_avdt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avdt__cs__t_1a896b0de287ce65edb4ea873494c2fb97" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avdt__cfg__t">wiced_bt_avdt_cfg_t</ref></type>
        <definition>wiced_bt_avdt_cfg_t wiced_bt_avdt_cs_t::cfg</definition>
        <argsstring />
        <name>cfg</name>
        <briefdescription>
<para>SEP configuration. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="520" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="520" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cs__t_1adf31c9251fce074df8777d318ec081f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avdt_1ga76cc0f1716e0b576b6769a0f91f5438b">wiced_bt_avdt_ctrl_cback_t</ref> *</type>
        <definition>wiced_bt_avdt_ctrl_cback_t* wiced_bt_avdt_cs_t::p_avdt_ctrl_cback</definition>
        <argsstring />
        <name>p_avdt_ctrl_cback</name>
        <briefdescription>
<para>Control callback function. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="521" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="521" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cs__t_1a40df7f37c12ed9a74a964ec42f178df0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avdt_1ga82a09dc1550210de1053e8a75711c449">wiced_bt_avdt_data_cback_t</ref> *</type>
        <definition>wiced_bt_avdt_data_cback_t* wiced_bt_avdt_cs_t::p_avdt_data_cback</definition>
        <argsstring />
        <name>p_avdt_data_cback</name>
        <briefdescription>
<para>Data callback function. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="522" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="522" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cs__t_1af7a8a52347eb5924446ad12d32b639eb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cs_t::tsep</definition>
        <argsstring />
        <name>tsep</name>
        <briefdescription>
<para>SEP type (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_SEP_TYPE">Stream endpoint types</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="523" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="523" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cs__t_1ac29caefaeb7c1c920a01b4037fdc63cb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cs_t::media_type</definition>
        <argsstring />
        <name>media_type</name>
        <briefdescription>
<para>Media type (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_MEDIA">Media types</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="524" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="524" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cs__t_1a7bb40517554eeb1ec9258e6d680ae4da" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avdt_cs_t::nsc_mask</definition>
        <argsstring />
        <name>nsc_mask</name>
        <briefdescription>
<para>Non-supported protocol command messages mask (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_NSC">Non-supported commands mask</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="525" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="525" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure contains information required when a stream is created. </para>
    </briefdescription>
    <detaileddescription>
<para>It is passed to the <ref kindref="member" refid="group__wicedbt__avdt_1gabaebb3696d6fb552456694a7a49dd0ad">wiced_bt_avdt_create_stream()</ref> function. </para>
    </detaileddescription>
    <collaborationgraph>
      <node id="27">
        <label>wiced_bt_avdt_cfg_t</label>
        <link refid="structwiced__bt__avdt__cfg__t" />
      </node>
      <node id="26">
        <label>wiced_bt_avdt_cs_t</label>
        <link refid="structwiced__bt__avdt__cs__t" />
        <childnode refid="27" relation="usage">
          <edgelabel>cfg</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="526" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="519" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="519" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1a896b0de287ce65edb4ea873494c2fb97" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>cfg</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1ac29caefaeb7c1c920a01b4037fdc63cb" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>media_type</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1a7bb40517554eeb1ec9258e6d680ae4da" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>nsc_mask</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1adf31c9251fce074df8777d318ec081f9" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>p_avdt_ctrl_cback</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1a40df7f37c12ed9a74a964ec42f178df0" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>p_avdt_data_cback</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cs__t_1af7a8a52347eb5924446ad12d32b639eb" virt="non-virtual"><scope>wiced_bt_avdt_cs_t</scope><name>tsep</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>